<?

/**************************************************
Program name:		meminfo.php  
Author:			Chris Ryan (ryan@greatbridge.com)

Description:		site home page
			
Create Date:		9/1/00 

Modified Date(s):
			9/28/00
			allen mcgrath (amcgrath@greatbridge.com)
				-- added the query info to get
				projects we have for display on the home 
				page.
			10/11/2000
			allen mcgrath (amcgrath@greatbridge.com)
				added the category stuff
			11/30/2000
			Chris Ryan <chris@greatbridge.com>
				modified project query to only include those
				projects that this site is for
**************************************************/

$web_page = "homepage";
include("site_info.php");



/**************************************************
GRAB PROJECTS THAT WE HAVE 
***************************************************/
$proj_query = "SELECT PROJECT_ID,PROJECT_NAME,PROJECT_TITLE " .
					"FROM PROJECT " .
					"WHERE APPROVED = 't' " .
                                        "AND SITE_GROUP_ID = $site_group_id ".
					"ORDER BY DATE_CREATED";
							
$proj_result = pg_exec($conn,$proj_query);

		$r = 0;
		while ($row = @pg_fetch_array($proj_result,$r++)) {
			$proj_list[] = array( "project_id" => $row["project_id"],
			                       "project_title" => $row["project_title"],
														 "project_name" => $row["project_name"]);
		}
		

# Build out the category list here	
        $cat_list = getCats(0);

# grab news stories here
	      $news_list = getNews($site_group_id,0,0);
							
include($page_template);
 ?>
