<?

/**************************************************
Program name:		memprofile.php  
Author:			Allen McGrath (allen@greatbridge.com)

Description:		displays a member's profile page
			retrieves the member_id from the 
			query string.  it is the only
			thing on the string, so no
			need for member-id=blah 
			profile_id is the the variable
			used as the member_id thats needed 
			to be displayed

Create Date:		9/25/00 

Modified Date(s):	
**************************************************/
 
/******************************************
SET THE PAGE AND CALL SITE_INFO
*******************************************/
$web_page = "memprofilepage";
include("site_info.php");
$group_group_id = "memprofile";

/******************************************
  SET DO_DEBUG TO YES IF YOU WANT TO SEE DEBUGGING
	AND ANY OTHER NEEDED VARIABLES
******************************************/
	$do_debug = "no";

# the id number for the role developer
	$devrole_id  = 3;
        $admrole_id  = 4;

# the query_string is the member_id, or profile_id for post operations
# it could also be the member's cookie, if it's there


	if(!$QUERY_STRING && !$profile_id) {
		$context = "<font face=" . $font_1 . " size=2>This page was called incorrectly. Specifically, the problem is:</font>";
		$context_error[] = "<font face=" . $font_1 . " size=2>No member id passed on the query string.</font>";
		$context_error[] = "<font face=" . $font_1 . " size=2>No member id posted as profile_id from a form.</font>";
		$web_page = "contextpage";
		
		include($page_template);
		return;
	}
	
	else {
		if (!$profile_id) $profile_id = trim($QUERY_STRING) ;
	
		$pr_query  = "SELECT A.FIRST_NAME, A.LAST_NAME, " .
				 "A.MEMBER_NAME, A.EMAIL, A.JOIN_DATE, " .
				 "B.HEADING_1, B.TEXT_1,B.IMAGEPATH_1 " .
				 "FROM MEMBER A, MEMBER_PAGE B ".
				 "WHERE A.MEMBER_ID = $profile_id " .
				 "AND B.MEMBER_ID = A.MEMBER_ID";

		$skl_query = "SELECT A.RATING, B.CAT_NAME " .
				 "FROM MEMBER_SKILL A, CATEGORY B " .
				 "WHERE A.MEMBER_ID = $profile_id " .
				 "AND B.CAT_ID = A.CAT_ID";	
	
	
		$pr_result  = @pg_exec($conn,$pr_query);
		$skl_result = @pg_exec($conn,$skl_query);

		if (pg_numrows($pr_result) == 0) {
			$context = "This member does not have a profile record.";
			$web_page = "contextpage";
			include($page_template);
			return;
		}	


# assign the profile values for display

		$profile_data = pg_fetch_object($pr_result,0);
			$first_name		=$profile_data->first_name;
			$last_name		=$profile_data->last_name;
			$mem_name	=$profile_data->member_name;
			$email				=$profile_data->email;
			$join_date		=$profile_data->join_date;
			$heading_1		=$profile_data->heading_1;
			$text_1				=$profile_data->text_1;
			$imagepath_1	=$profile_data->imagepath_1;
	
# assign the skills of the member
		$r = 0;
		while ($skl_row = @pg_fetch_array($skl_result,$r++)) {
			$skl_arr[] = array( "rating" =>$skl_row["rating"],
													"cat_name" =>$skl_row["cat_name"]);
		}
	

# go get the projects the member owns/is part of
	$admin_query = "SELECT A.PROJECT_ID, A.PROJECT_NAME, A.PROJECT_TITLE, A.APPROVED " .
		       "FROM PROJECT A, MEMBER_ROLE B WHERE B.MEMBER_ID = $profile_id " .
                       "AND A.PROJECT_ID = B.PROJECT_ID ".
                       "AND B.ROLE_ID = $admrole_id ".
		       "AND (A.APPROVED = 't' OR A.APPROVED IS NULL) " .
		       "ORDER BY A.APPROVED";

	$dev_query   = "SELECT A.PROJECT_ID, B.PROJECT_NAME, B.PROJECT_TITLE, B.APPROVED " .
			 "FROM MEMBER_ROLE A, PROJECT B " .
			 "WHERE A.ROLE_ID = $devrole_id " .
			 "AND	A.MEMBER_ID = $profile_id " .
			 "AND A.PROJECT_ID = B.PROJECT_ID " .
			 "AND B.APPROVED = 't'";
	
								 
	$admin_result = pg_exec($conn,$admin_query);
	$dev_result = pg_exec($conn,$dev_query);

# when the member has projects, set them up for display
	
	if (pg_numrows($admin_result) == 0) {
		$admin_message = $mem_name . " is not the admin of any available projects.";
	}
	else {
		$r = 0;
		while ($row = @pg_fetch_array($admin_result,$r++)) {
			$admin_list[] = array( "project_id" => $row["project_id"],
			                       "project_title" => $row["project_title"],
														 "project_name" => $row["project_name"],
														 "approved" => $row["approved"]);
		}
	}
	
	if (pg_numrows($dev_result) == 0) {
		$dev_message = $mem_name . " is not a developer of any available projects.";
	}
	else {
		$r = 0;
		while ($row = @pg_fetch_array($dev_result,$r++)) {
			$dev_list[] = array( "project_id" => $row["project_id"],
			                       "project_title" => $row["project_title"],
														 "project_name" => $row["project_name"],
														 "approved" => $row["approved"]);	
		}
	}	
	
	
		if ($do_debug == "yes") {
			echo "<li> num rows = " . pg_numrows($pr_result);
			echo "<li>first_name = " . $first_name ;
			echo "<li>last_name = " . $last_name ;
			echo "<li>mem_name = " . $mem_name ;
			echo "<li>email = " . $email ;
			echo "<li>join_date = " . $join_date ;
			echo "<li>heading_1 = " . $heading_1 ;
			echo "<li>text_1 = " . $text_1 ;
			echo "<li>imagepath_1 = " . $imagepath_1 ;
		}
	}
	
	
	
	
/******************************************
EVERYTHING IS FINISHED SO INCLUDE THE TEMPLATE	
******************************************/
  include($page_template);
 ?>		
				
							
	
	
	
	
	
