<?

/**************************************************
Program name:		    projjoin.php
Author:					Allen McGrath (allen@greatbridge.com)

Description:		    allows a member to request to join
                        a particular project.
			
Create Date:		    10/19/2000

Modified Date(s):	
						
							 
**************************************************/
 
$web_page = "projjoinpage";
include("site_info.php");
$group_group_id = "projjoin";


if (empty($member_id)) {
    $context = "There was a problem with your request.  Specifically:";
    $context_error[] = "You must be a member of " . $official_name . " to use this function.";
    $web_page = "contextpage";
    include($page_template);
    return;
} else  {
    $chk_query = "SELECT MEMBER_ID FROM MEMBER_ROLE " .
                "WHERE MEMBER_ID = $member_id " .
                "AND PROJECT_ID = $project_id ";
    $chk_result = pg_exec($conn,$chk_query);
    
    if (pg_numrows($chk_result) >= 1) {
        $context = "There was a problem with your request.  Specifically:";
        $context_error[] = "You are already a member of the " . $project_name . " project.";
        $web_page = "contextpage";
        include($page_template);
        return;
    }
}

$ms_query = "SELECT MEMBER_NAME, EMAIL FROM MEMBER " .
            "WHERE MEMBER_ID = $member_id " .
            "AND STATUS = 't'";
$ms_result = pg_exec($conn,$ms_query);

if (pg_numrows($ms_result) == 0) {
    $context = "There was a problem with your request.  Specifically:";
    $context_error[] = "No active member record found.";
    $web_page = "contextpage";
    include($page_template);
    return;
} else {
    $member_info = pg_fetch_object($ms_result,0);
    $member_name = $member_info->member_name;
    $member_email = $member_info->email;
}    

if ($REQUEST_METHOD == "POST") { 
    if (empty($email)) {
        $context = "There was a problem with your request.  Specifically:";
        $context_error[] = "You must enter an email address.";
        $web_page = "contextpage";
        include($page_template);
        return;
    } else {
        $chk_query = "SELECT MEMBER_ID " .
                     "FROM PROJECT_JOIN " .
                     "WHERE PROJECT_ID = $project_id " .
                     "AND MEMBER_ID = $member_id ";
        $chk_result = pg_exec($conn,$chk_query);
        
       
        if (pg_numrows($chk_result) == 0) {
            $pj_query = "INSERT INTO PROJECT_JOIN " .
                        "(PROJECT_ID,MEMBER_ID,EMAIL,MESSAGE) " .
                        "VALUES " .
                        "($project_id,$member_id,'$email','$message')";
        
            $me_query = "SELECT A.EMAIL, A.MEMBER_NAME " .
                        "FROM MEMBER A, PROJECT B " .
                        "WHERE B.PROJECT_ID = $project_id " .
                        "AND A.MEMBER_ID = B.MEMBER_ID";

            $me_result = pg_exec($conn,$me_query);
            
            $me_info = pg_fetch_object($me_result,0);
            $me_email = $me_info->email;
            $me_name  = $me_info->member_name;
                        
        } else {
            $pj_query = "UPDATE PROJECT_JOIN SET " .
                        "EMAIL = '$email'," .
                        "MESSAGE = '$message' " .
                        "WHERE PROJECT_ID = $project_id " .
                        "AND MEMBER_ID = $member_id " ;
        }
        
        $pj_result = pg_exec($conn,$pj_query);
        
        if ($me_query) {
		
		mail("$me_email","Request to join $project_name",
"Dear $me_name,
		
A fellow greatbridge.org member has requested to join
your project, $project_name.  The member's name is $member_name
and their email address is $email.

Please contact this person at your convenience regarding this matter.
You can add this person to your project development list by using
the tool located at http://$HTTP_HOST/project/$project_name/projjoinlist.php.

We hope this service is useful to you.  Thanks for your participation.
		
		
webmaster@greatbridge.org
$official_name 
		", "From:webmaster@greatbridge.org");        
        
        }
    }
    $context = "Thank you for requesting to join " . $project_name . "."  . 
               " The project admin  has been notified " .
               "of your request, and will respond via e-mail.<p>" .
               "Thank you for using our site for all of your project hosting needs.";
    $web_page = "contextpage";
               
}


    
include($page_template);

    
    
