#!/bin/sh

#
# File: cptemplates.sh
#
# Description: This file is a utility that I used to copy the template
#              files from a directory i ran the program from
#              to ../ss/. with the correct prefix. This has not been
#              written to be used for anything else but I have provided
#              it as a means to keep from duplicating work and possibly
#              someone else could use it with modifications.
#
# Creator: Chris Ryan <chris@greatbridge.com>
# Created: 11/09/2000
#
for file in `ls *.php`; do
    fname=`echo $file | awk -F _ {'print $2'}`
    fname=../ss/ss_$fname
    if [ -f $fname ]
    then
        echo File $fname already exists
    else
        cp $file $fname
    fi
done
