<?
    /*
     * File: project.php
     *
     * Description:
     *     This file is used as a fill in for the project info.
     * it is found in the url and takes PATH_INFO information to
     * determine the project and script to run.
     */
    $url = $PATH_INFO;
    if(empty($url)) { $url = "/"; }

    $url_parts = explode("/",$url);

    /* the first one is always empty cause of the lead / */
    array_shift($url_parts);
    $project_id = array_shift($url_parts);

    if($project_id != "projadd" && $project_id != "projdisplaylist.php") {
        $project_id = findProject($project_id,$site_group_id);

        if(empty($project_id)) {
            $context = "no project was specified or an invalid project was specified<br>\n";
            $web_page = "contextpage";
            include("site_info.php");
            include($page_template);
            exit;
        }

        $query = "select project_name, project_title ".
                 "  from project ".
                 " where project_id = $project_id ";
        $res   = pg_exec($conn,$query);
        $project_name = pg_result($res,0,"project_name");
        $project_title = pg_result($res,0,"project_title");

        $access_level = getUserAccess($member_id,$project_id);

        $file = array_shift($url_parts);
        if($file == "viewcvs") {
            $CVSPATH = implode("/",$url_parts);
            unset($url_parts);
            $url_parts[] = "viewcvs.php";
            if(substr($REQUEST_URI,-7) == "viewcvs") {
                RedirectTo($REQUEST_URI."/");
                exit;
            }
        } else {
            array_unshift($url_parts,$file);
        }
    } else {
        array_unshift($url_parts,$project_id);
        $project_id = 0;
    }

    $script = implode("/",$url_parts);
    $script = $SCRIPT_PATH . "/project/" . $script;

    if(file_exists($script)) {
        if(is_dir($script))
            $script .= "/index.php";
        include($script);
    } else {
        $web_page = "contextpage";
        include("site_info.php");
        $context = "The file have tried running does not exist.";
        include($page_template);
    }
 ?>
