/*
 * File: tools.sql
 *
 * Description: These are the tables used in the toollist tool.
 */
CREATE SEQUENCE "tools_type_seq" start 30 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('"tools_type_seq"');
CREATE TABLE "tools" (
        "name" character varying(40) NOT NULL,
        "description" text NOT NULL,
        "url" character varying(256) NOT NULL,
        "maintainer" character varying(128) NOT NULL,
        "email" character varying(128) NOT NULL,
        "submitter" character varying(128),
        "s_email" character varying(128),
        "tested" bool DEFAULT 'f'::bool NOT NULL,
        "do_show" bool DEFAULT 't'::bool NOT NULL,
        "type" int4,
        PRIMARY KEY ("name")
);
CREATE TABLE "tools_types" (
        "type" int4 DEFAULT nextval('tools_type_seq'::text) NOT NULL,
        "ordr" int4 DEFAULT 0 NOT NULL,
        "name" character varying(50) NOT NULL,
        PRIMARY KEY ("type")
);

